- block:
  - name: Install e2fsck.conf into /etc
    copy:
      src: e2fsck.conf
      dest: /etc/e2fsck.conf
      mode: '644'
    register: e2fsck_config

  - name: Install initramfs hook to include e2fsck.conf file
    copy:
      src: initramfs-e2fsck.sh
      dest: /usr/share/initramfs-tools/hooks/e2fsck
      mode: '755'
    register: initramfs

  - name: Build initramfs
    command: update-initramfs -u -k {{ zoox_kernel_version }}
    when: initramfs.changed or e2fsck_config.changed
  become: yes

